Loading...
Searching...
No Matches
BALL::VIEW::PythonHighlighter Class Reference
Visualisation » Modular Widgets

`#include <BALL/VIEW/WIDGETS/pyWidget.h>`

Inheritance diagram for BALL::VIEW::PythonHighlighter:

## Public Member Functions

| PythonHighlighter ()
| ~PythonHighlighter ()
void | compilePattern ()
void | highlightBlock (const QString &text)

## Public Attributes

QStringList | python_keywords
QStringList | BALL_keywords
QTextCharFormat | my_class_format
QTextCharFormat | python_format
QTextCharFormat | string_format
QTextCharFormat | comment_format
vector< QRegExp > | python_patterns
vector< QRegExp > | BALL_patterns
QRegExp | string_pattern
QRegExp | comment_pattern

## Detailed Description

Class for syntax highlighting of Python code.

Definition at line 49 of file pyWidget.h.

## Constructor & Destructor Documentation

## PythonHighlighter()

BALL::VIEW::PythonHighlighter::PythonHighlighter | ( |  | ) |

## ~PythonHighlighter()

BALL::VIEW::PythonHighlighter::~PythonHighlighter | ( |  | ) |

inline

Definition at line 56 of file pyWidget.h.

## Member Function Documentation

## compilePattern()

void BALL::VIEW::PythonHighlighter::compilePattern | ( |  | ) |

## highlightBlock()

void BALL::VIEW::PythonHighlighter::highlightBlock | ( | const QString & | text | ) |

## Member Data Documentation

## BALL_keywords

QStringList BALL::VIEW::PythonHighlighter::BALL_keywords

Definition at line 62 of file pyWidget.h.

## BALL_patterns

vector<QRegExp> BALL::VIEW::PythonHighlighter::BALL_patterns

Definition at line 68 of file pyWidget.h.

## comment_format

QTextCharFormat BALL::VIEW::PythonHighlighter::comment_format

Definition at line 66 of file pyWidget.h.

## comment_pattern

QRegExp BALL::VIEW::PythonHighlighter::comment_pattern

Definition at line 70 of file pyWidget.h.

## my_class_format

QTextCharFormat BALL::VIEW::PythonHighlighter::my_class_format

Definition at line 63 of file pyWidget.h.

## python_format

QTextCharFormat BALL::VIEW::PythonHighlighter::python_format

Definition at line 64 of file pyWidget.h.

## python_keywords

QStringList BALL::VIEW::PythonHighlighter::python_keywords

Definition at line 61 of file pyWidget.h.

## python_patterns

vector<QRegExp> BALL::VIEW::PythonHighlighter::python_patterns

Definition at line 67 of file pyWidget.h.

## string_format

QTextCharFormat BALL::VIEW::PythonHighlighter::string_format

Definition at line 65 of file pyWidget.h.

## string_pattern

QRegExp BALL::VIEW::PythonHighlighter::string_pattern

Definition at line 69 of file pyWidget.h.